#ifndef HEADER_H
#define HEADER_H

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

#include "utils.h"
#include "bitmanip.h"
#include "interrupt.h"
#include "timer.h"
#include "usart.h"
#include "adc.h"

//
// PROTOTYPES
//
// main.c
void int_to_hex_string(uint64_t value, char *out, uint8_t num_digits);
// adc.c
void adc_init(uint8_t prescaler_value);
uint16_t adc_read(uint8_t channel);
// uart.c
void uart_init();
void uart_tx(char c);
void uart_printstr(const char* str);
void uart_printstr_endl(const char* str);

//
// MACROS
//

#endif // HEADER_H